Package Details: simple-ccsm 0.8.8-2

Git Clone URL: https://aur.archlinux.org/simple-ccsm.git (read-only)
Package Base: simple-ccsm
Description: Simple Compizconfig Settings Manager
Upstream URL: http://www.compiz-fusion.org/
Licenses: GPL
Submitter: None
Maintainer: Florian
Last Packager: Florian
Votes: 24
Popularity: 0.000013
First Submitted: 2009-01-07 18:00
Last Updated: 2015-07-09 10:30

Dependencies (6)

  • ccsm>=0.8.4 (ccsm-git)
  • pygtk>=2.10
  • python
  • intltool (make)
  • compiz-fusion-gtk (optional) – Compiz Fusion for GTK/GNOME
  • compiz-fusion-kde (optional) – Compiz Fusion for KDE

Required by (0)

Sources (1)

Latest Comments

Florian commented on 2014-05-31 10:21

I updated the PKGBUILD, but the application itself won't run here - seems like an upstream bug.

inukaze commented on 2014-05-30 20:56

Just Spanish ->

30-05-2014@08:56am [~] $ yaourt -S simple-ccsm

==> Descargando PKGBUILD desde AUR...
x simple-ccsm.install
x PKGBUILD
Comment by RichSelian (2010-06-25 02:30)
Please add intltool as makedepends.

Comment by RichSelian (2010-10-28 04:44)
Makepkg failed after python updated to 3.0 -- please fix it.

Comment by twa022 (2011-04-24 01:25)
0.8.8 released

Comment by dottorblaster (2011-04-24 14:09)
Updated.

Comment by darkshines (2011-05-09 06:49)
It installs on my system, but doesn't run. It stops with the message:
Traceback (most recent call last):
File "/usr/bin/simple-ccsm", line 1426, in module
mainWin = MainWin(context, page)
File "/usr/bin/simple-ccsm", line 1205, in __init__
self.Update()
File "/usr/bin/simple-ccsm", line 1247, in Update
self.AnimationPage.Update()
File "/usr/bin/simple-ccsm", line 704, in Update
self.FillAnimationBoxes()
File "/usr/bin/simple-ccsm", line 687, in FillAnimationBoxes
setting = plugin.Screen[settingName]
AttributeError: 'compizconfig.Plugin' object has no attribute 'Screen'

My compiz versions:
community/ccsm 0.8.4-2 (compiz-fusion compiz-fusion-gtk compiz-fusion-kde)
community/compiz-bcop 0.8.4-1
community/compizconfig-backend-gconf 0.8.4-1 (compiz-fusion-gtk compiz-fusion)
community/compizconfig-python 0.8.4-2
community/compiz-core 0.8.6-2 (compiz compiz-kde compiz-gtk compiz-fusion)
community/compiz-fusion-plugins-extra 0.8.6-2 (compiz-fusion compiz-fusion-gtk compiz-fusion-kde)
community/compiz-fusion-plugins-main 0.8.6-1 (compiz-fusion compiz-fusion-kde compiz-fusion-gtk)
community/emerald 0.8.4-2 (compiz-fusion compiz-fusion-kde compiz-fusion-gtk)
community/emerald-themes 0.6.0-3 (compiz-fusion compiz-fusion-kde compiz-fusion-gtk)
community/fusion-icon 20101021-1 (compiz-fusion compiz-fusion-kde compiz-fusion-gtk)
community/libcompizconfig 0.8.4-2
local/simple-ccsm 0.8.8-1


simple-ccsm 0.8.8-1 (mié ene 7 13:30:54 VET 2009)
(Paquete sin soporte: podría ser peligroso!)
==> Quiere editar PKGBUILD? [S/n] ("A" para anular)
==> -----------------------------------------------
==> n

==> dependencias de simple-ccsm:
- intltool (ya instalado)
- ccsm>=$pkgver (compilando des de AUR)


==> Quiere editar simple-ccsm.install? [S/n] ("A" para anular)
==> ----------------------------------------------------------
==> n

==> Continuar compilando simple-ccsm? [S/n]
==> ---------------------------------------
==>
==> Compilando e instalando el paquete
==> Instalar o compilar las dependencias que faltan para simple-ccsm:
[sudo] password for inukaze:
error: destino no encontrado: ccsm>=$pkgver
==> Reiniciar la compilación de simple-ccsm? [s/N]
==> ----------------------------------------------
==>

darkshines commented on 2011-05-09 06:49

It installs on my system, but doesn't run. It stops with the message:
Traceback (most recent call last):
File "/usr/bin/simple-ccsm", line 1426, in <module>
mainWin = MainWin(context, page)
File "/usr/bin/simple-ccsm", line 1205, in __init__
self.Update()
File "/usr/bin/simple-ccsm", line 1247, in Update
self.AnimationPage.Update()
File "/usr/bin/simple-ccsm", line 704, in Update
self.FillAnimationBoxes()
File "/usr/bin/simple-ccsm", line 687, in FillAnimationBoxes
setting = plugin.Screen[settingName]
AttributeError: 'compizconfig.Plugin' object has no attribute 'Screen'

My compiz versions:
community/ccsm 0.8.4-2 (compiz-fusion compiz-fusion-gtk compiz-fusion-kde)
community/compiz-bcop 0.8.4-1
community/compizconfig-backend-gconf 0.8.4-1 (compiz-fusion-gtk compiz-fusion)
community/compizconfig-python 0.8.4-2
community/compiz-core 0.8.6-2 (compiz compiz-kde compiz-gtk compiz-fusion)
community/compiz-fusion-plugins-extra 0.8.6-2 (compiz-fusion compiz-fusion-gtk compiz-fusion-kde)
community/compiz-fusion-plugins-main 0.8.6-1 (compiz-fusion compiz-fusion-kde compiz-fusion-gtk)
community/emerald 0.8.4-2 (compiz-fusion compiz-fusion-kde compiz-fusion-gtk)
community/emerald-themes 0.6.0-3 (compiz-fusion compiz-fusion-kde compiz-fusion-gtk)
community/fusion-icon 20101021-1 (compiz-fusion compiz-fusion-kde compiz-fusion-gtk)
community/libcompizconfig 0.8.4-2
local/simple-ccsm 0.8.8-1

Jack_CM commented on 2011-05-01 18:18

When I try to launch it I get this: http://pastebin.com/ApxmqyjW

compiz version: compiz 0.8.6

Jack_CM commented on 2011-05-01 18:18

When I try to launch it I get this: http://pastebin.com/ApxmqyjW

compiz version: compiz 0.8.6

Anonymous comment on 2011-04-24 14:09

Updated.

twa022 commented on 2011-04-24 01:25

0.8.8 released

Anonymous comment on 2010-10-28 04:44

Makepkg failed after python updated to 3.0 -- please fix it.

Anonymous comment on 2010-06-25 02:30

Please add intltool as makedepends.